import { ISettingsParam } from "tslog";
import * as tsLogger from "tslog";
import { Level, LoggerSettings } from "./types";
export declare let main: Logger;
export declare const NewMainLogger: (settings?: LoggerSettings<unknown>) => void;
export declare const newLogger: (settings?: LoggerSettings<unknown>) => Logger;
declare class Logger extends tsLogger.Logger<unknown> {
    private obj;
    constructor(level: Level, settings?: ISettingsParam<unknown>, logObj?: unknown);
    getChildLogger(name?: string): Logger;
    withError(err: unknown): Logger;
    with(args: Record<string, unknown>): Logger;
    private toErrorObject;
    private isError;
    private wrapError;
    private getMeta;
}
export default Logger;
